angular.module('wechat.routes', ['pascalprecht.translate'])

.config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,$httpProvider,$translateProvider) {
  $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8';  
  $ionicConfigProvider.platform.ios.tabs.style('standard'); 
  $ionicConfigProvider.platform.ios.tabs.position('bottom');
  $ionicConfigProvider.platform.android.tabs.style('standard');
  $ionicConfigProvider.platform.android.tabs.position('bottom');

  var lang = window.localStorage.lang||'en';
  $translateProvider.preferredLanguage(lang);
	$translateProvider.fallbackLanguage(lang);
  $translateProvider.useStaticFilesLoader({
      prefix:'i18n/',
      suffix: '.json'
  });
  $stateProvider
    .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  .state('app.search', {
    url: '/search',
    cache:false,
    views: {
      'home-tab': {
        templateUrl: 'templates/search.html',
        controller:"AppCtrl"/*,
        resolve:{
            deps: app.loadControllerJs('js/controllers')
          }*/
      }
    }
  })

  .state('app.login', {
    url: '/login',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/login.html',
        controller:'myLoginCtrl'
      }
    }
  })

  .state('app.myInfo', {
    url: '/myInfo/:state',
    cache:'false', 
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/myInfo.html',
        controller:'myInfo'
      }
    }
  })
  .state('app.userInfo', {
    url: '/userInfo',
    //cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/userInfo.html',
        controller:'userInfoCtrl'
      }
    }
  })
  .state('app.userSetUp', {
    url: '/userSetUp',
    cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/userSetUp.html',
        controller:'userSetUpCtrl'
      }
    }
  })
  .state('app.password', {
    url: '/password',
    cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/password.html',
        controller:'myPasswordCtrl'
      }
    }
  })
  .state('app.register', {
    url: '/register',
    cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/register.html',
        controller:'registerCtrl'
      }
    }
  })
  .state('app.company-regist', {
    url: '/company-regist',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/company-regist.html',
        controller:'company-registCtrl'
      }
    }
  })
  .state('app.contract', {
    url: '/contract',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/contract.html',
        controller:'contractCtrl'
      }
    }
  })
  .state('app.scan', {
    url: '/scan',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/scan.html',
        controller:'scanCtrl'
      }
    }
  })
  .state('app.companyInfo', {
    url: '/companyInfo/:cid',
    cache:false,
    views: {
      'home-tab': {
        templateUrl: 'templates/companyInfo.html',
        controller:'conmpanyInfoCtrl'
      }
    }
  })
  .state('app.tab-message', {
    url: '/tab-message',
    views: {
      'home-tab': {
        templateUrl: 'templates/tab-message.html'
      }
    }
  })
  .state('app.message-detail', {
    url: '/message-detail',
    views: {
      'home-tab': {
        templateUrl: 'templates/message-detail.html'
      }
    }
  })
  .state('app.friends', {
    url: '/friends',
    cache:false,
    views: {
      'message_tab': {
        templateUrl: 'templates/friends.html',
        controller:'friendsCtrl'
      }
    }
  })
  .state('app.message', {
    url: '/message:fid',
    cache:'false',
    views: {
      'message_tab': {
        templateUrl: 'templates/message.html',
        controller:'myFriendMessageCtrl'
      }
    }
  })
  .state('app.addFriend', {
    url: '/addFriend',
    cache:'false',
    views: {
      'message_tab': {
        templateUrl: 'templates/addFriend.html',
        controller:'addFriendCtrl'
      }
    }
  })
  .state('app.addFriendInfo', {
    url: '/addFriendInfo:uid',
    cache:'false',
    views: {
      'message_tab': {
        templateUrl: 'templates/addFriendInfo.html',
        controller:'addFriendInfoCtrl'
      }
    }
  })
  .state('app.addFriendInfo2', {
    url: '/addFriendInfo2:uid',
    cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/addFriendInfo.html',
        controller:'addFriendInfoCtrl'
      }
    }
  })
  .state('app.sqlite', {
    url: '/sqlite',
    views: {
      'message_tab': {
        templateUrl: 'templates/sqlite.html',
        controller:'sqliteCtrl'
      }
    }
  })
  .state('app.bindMobile', {
    url: '/bindMobile',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/bindMobile.html',
        controller:'bindMobileCtrl'
      }
    }
  })
  .state('app.companyFabu', {
    url: '/companyFabu',
    cache:'false',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/companyFabu.html',
        controller:'companyFabuCtrl'
      }
    }
  })
  .state('app.whycupInfo', {
    url: '/whycupInfo',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/whycupInfo.html',
        controller:'whycupInfoCtrl'
      }
    }
  })
  .state('app.share', {
    url: '/share',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/share.html',
        controller:'shareCtrl'
      }
    }
  })
  .state('app.orders', {
    url: '/orders',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/orders.html',
        controller:'ordersCtrl'
      }
    }
  })
  .state('app.follows', {
    url: '/follows',
    views: {
      'myInfo_tab': {
        templateUrl: 'templates/follows.html',
        controller:'followsCtrl'
      }
    }
  })
  $urlRouterProvider.otherwise('/app/search');
  // searchTab share
});