angular.module('wechat.services', [])

.factory("path", function($http) {//配置域名访问路径
    return "http://www.whycup.com/WhyCup/app/"; 
    //return "http://192.168.0.100:8080/WhyCup/app/";
    //return "http://192.168.0.101:8080/WhyCup/app/";
})
.factory("webpath", function($http) {//配置域名访问路径
    return "ws://www.whycup.com/WhyCup/whyCupWs/";
    //return "ws://192.168.0.100:8080/WhyCup/whyCupWs/";
    //return "ws://192.168.0.101:8080/WhyCup/whyCupWs/";
})
.factory("myFactory",function($cacheFactory){//用来存储用户登录的信息
    var myFactory = {'id':'','userName':'','image':'','mobile':''};
    return myFactory; 
})
.factory('locals',['$window',function($window){
      return{
        //存储单个属性
        set :function(key,value){
          $window.localStorage[key]=value;
        },
        //读取单个属性
        get:function(key,defaultValue){
          return  $window.localStorage[key] || defaultValue;
        },
        //存储对象，以JSON格式存储
        setObject:function(key,value){
          $window.localStorage[key]=JSON.stringify(value);
        },
        //读取对象
        getObject: function (key) {
          return JSON.parse($window.localStorage[key] || '{}');
        },
        setMsg:function(key,jobj){
          //$window.localStorage[key]=[];
          if($window.localStorage[key]){
            $window.localStorage[key].push(jobj);
          }else{
            var arr=[]; arr.push(jobj);
            $window.localStorage[key]=arr;
          }
        },
        getMsg:function(key){
          return $window.localStorage[key];
        },
         //删除某一键值对
        removeItem:function(key){
          return $window.localStorage.removeItem(key);
        },
        //清空整个localStorage
        clearLocalStorage:function(){
          return $window.localStorage.clear();
        }
      }
}])
.factory('sqliteDB', function($q) {
    var _db;
    var _attentions;
    function initDB() {
      _db = new PouchDB('message', {adapter:'websql'});
    }
    function addAttention(attention) {
        return $q.when(_db.post(attention));
    }
    function updateAttention(attention) {
        return $q.when(_db.put(attention));
    }
    function deleteAttention(attention) {
        return $q.when(_db.remove(attention));
    }
    function getAllAttentions() {
        if (!_attentions) {
            return $q.when(_db.allDocs({ include_docs: true}))
                .then(function(docs) {
                      _attentions = docs.rows.map(function(row) {
                            row.doc.Date = new Date(row.doc.Date);
                            return row.doc;
                      });
                      _db.changes({ live: true, since: 'now', include_docs: true})
                            .on('change', onDatabaseChange);
                      return _attentions;
                });
        } else {
            return $q.when(_attentions);
        }
    }
    function onDatabaseChange(change) {
        var index = findIndex(_attentions, change.id);
        var attention = _attentions[index];
        if (change.deleted) {
            if (attention) {
                _attentions.splice(index, 1); // delete
            }
        } else {
            if (attention && attention._id === change.id) {
                _attentions[index] = change.doc; // update
            } else {
                _attentions.splice(index, 0, change.doc) // insert
            }
        }
    }
    function findIndex(array,id) {
        var low = 0, high = array.length, mid;
        while (low < high) {
            mid = (low + high) >>> 1;
            array[mid]._id < id ? low = mid + 1 : high = mid
        }
        return low;
    }
    return {
        initDB: initDB,
        getAllAttentions: getAllAttentions,
        addAttention: addAttention,
        updateAttention: updateAttention,
        deleteAttention: deleteAttention,
        onDatabaseChange: onDatabaseChange,
        findIndex: findIndex
    };
})
.factory('T', ['$translate', function($translate) {
    var T = {
        T:function(key) {
            if(key){
                return $translate.instant(key);
            }
            return key;
        }
    }
    return T;
}])
.factory('Mp3',function($q,$window,$ionicPlatform,$cordovaMedia,$ionicLoading,$cordovaFile) {
    var service = {
      loadMedia: loadMedia,
      createMedia:createMedia,
      getStatusMessage: getStatusMessage,
      getErrorMessage: getErrorMessage
    };

  function loadMedia(src, onError, onStatus, onStop){
    var defer = $q.defer();
    $ionicPlatform.ready(function(){
      var mediaSuccess = function(){
        if(onStop){onStop();}
      };
      var mediaError = function(err){
        _logError(src, err);
        if(onError){onError(err);}
      };
      var mediaStatus = function(status){
        if(onStatus){onStatus(status);}
      };

      if($ionicPlatform.is('android')){src = '/android_asset/www/' + src;}
      defer.resolve(new $window.Media(src, mediaSuccess, mediaError, mediaStatus));
    });
    return defer.promise;
  }
  function createMedia (src, onError, onStatus, onStop){
    var mediaSuccess = function(){
      if(onStop){onStop();}
    };
    var mediaError = function(err){
      _logError(src, err);
      if(onError){onError(err);}
    };
    var mediaStatus = function(status){
      if(onStatus){onStatus(status);}
    };
    if($ionicPlatform.is('android')){src = '/android_asset/www/' + src;}
    var myMedia = new Media(src, mediaSuccess, mediaError,mediaStatus);
    return myMedia;
  }
  function _logError(src, err){
    console.error('media error', {
      code: err.code,
      message: getErrorMessage(err.code)
    });
  }

  function getStatusMessage(status){
    if(status === 0){return 'Media.MEDIA_NONE';}
    else if(status === 1){return 'Media.MEDIA_STARTING';}
    else if(status === 2){return 'Media.MEDIA_RUNNING';}
    else if(status === 3){return 'Media.MEDIA_PAUSED';}
    else if(status === 4){return 'Media.MEDIA_STOPPED';}
    else {return 'Unknown status <'+status+'>';}
  }

  function getErrorMessage(code){
    if(code === 1){return 'MediaError.MEDIA_ERR_ABORTED';}
    else if(code === 2){return 'MediaError.MEDIA_ERR_NETWORK';}
    else if(code === 3){return 'MediaError.MEDIA_ERR_DECODE';}
    else if(code === 4){return 'MediaError.MEDIA_ERR_NONE_SUPPORTED';}
    else {return 'Unknown code <'+code+'>';}
  }
  return service;
})
.factory('toast',function($cordovaToast) {
    var MT = {
        MsgCenter:function(val){
          $cordovaToast.show(val, 'long', 'center');
        },
        MsgTop:function(val){
          $cordovaToast.show(val, 'long', 'top');
        },
        MsgBottom:function(val){
          $cordovaToast.show(val, 'long', 'bottom');
        }
    }
  return MT;
})
.factory('netWork',function($rootScope, $cordovaNetwork,toast,T) {
    //var type = $cordovaNetwork.getNetwork() $ionicLoading.show();
    var NW = {
        netOn:function(){
          var netOn=$cordovaNetwork.isOnline();
          if(netOn){
            return true;
          }else{
            toast.MsgCenter(T.T("100016"));
            return false;
          }
        },
        netOff:function(){
          return $cordovaNetwork.isOffline()
        }
    }
  return NW;
})
.factory('loaging',function($ionicLoading,$timeout,toast,T) {
    var TimeOut;
    var LG = {
        show:function(){
          $ionicLoading.show();
          TimeOut=$timeout(function(){
            $ionicLoading.hide();
            toast.MsgCenter(T.T("100015"));
          },12000);
        },
        hide:function(){
          $timeout.cancel(TimeOut);
          $ionicLoading.hide();
        }
    }
  return LG;
})
.factory('message',function($ionicPopup,toast,T) {
  var obj = {show:show};
  function show(val){
    $ionicPopup.alert({
       title:T.T("400001"),
       template: val
    });
  }
    return obj;
})